package logUtil

type LogType int

// 日志等级
const (
	// Info 信息
	Info LogType = iota

	// Warn 警告
	Warn

	// Debug 调试
	Debug

	// Error  错误
	Error

	// Fatal 致命
	Fatal
)

// String
// @description: 类型转化为字符串
// parameter:
//		@receiver t:
// return:
//		@string:
func (t LogType) String() string {
	switch t {
	case Info:
		return "Info"
	case Warn:
		return "Warn"
	case Debug:
		return "Debug"
	case Error:
		return "Error"
	case Fatal:
		return "Fatal"
	}

	return "LogTypeDefault"
}
